summaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-03-27 18:10:59 +0100
committerChristian Grothoff <christian@grothoff.org>2020-03-27 18:10:59 +0100
commit6951892c683d89da81682a431c9eaf44aba39f98 (patch)
tree98898eef5abd1c0530928555a75171bf682f6da0 /src
parent17cfbced1dff07ee058997e88e027e7fd4627445 (diff)
downloadexchange-6951892c683d89da81682a431c9eaf44aba39f98.tar.gz
exchange-6951892c683d89da81682a431c9eaf44aba39f98.tar.bz2
exchange-6951892c683d89da81682a431c9eaf44aba39f98.zip
clean logic
Diffstat (limited to 'src')
-rwxr-xr-xsrc/auditor/generate-revoke-basedb.sh7
1 files changed, 4 insertions, 3 deletions
diff --git a/src/auditor/generate-revoke-basedb.sh b/src/auditor/generate-revoke-basedb.sh
index c04a41ec5..8bc31fab3 100755
--- a/src/auditor/generate-revoke-basedb.sh
+++ b/src/auditor/generate-revoke-basedb.sh
@@ -7,6 +7,9 @@
#
set -eu
+
+trap "kill `jobs -p` &> /dev/null || true" EXIT
+
# Exit, with status code "skip" (no 'real' failure)
function exit_skip() {
echo $1
@@ -253,10 +256,8 @@ taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB advanced suspend-coins "$sus
taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB exchanges update \
-f $EXCHANGE_URL
-echo "Before Wallet CABOOM (type exit, note that you will have to terminate the wallet with CTRL-C)"
-
# Block until scheduled operations are done
-taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB run-until-done &> wallet-caboom.log
+taler-wallet-cli $TIMETRAVEL --wallet-db=$WALLET_DB run-until-done
echo "Restarting merchant (so new keys are known)"
kill -TERM $MERCHANT_PID